<?php

/**
 * Theme the profile field overview into a drag and drop enabled table.
 */
function theme_uc_cc_fee_settings_table_form($form) {
  // Add js + css
  $path = drupal_get_path('module', 'uc_cc_fee');
  drupal_add_js($path. '/js/uc_cc_fee_backend.js');
  drupal_add_css($path .'/css/uc_cc_fee.css');

  // The variable that will hold our form HTML output
  $output = '';
  $table_rows = array();

  // Loop through each "row" in the table array
  foreach (element_children($form['fees']) as $row_data) {
    $row = $form['fees'][$row_data];

    // .. and render elements
    $this_row = array(
      drupal_render($row['title']),
      drupal_render($row['value']),
      drupal_render($row['operation']),
      drupal_render($row['weight'])
    );

    // Add the row to the array of rows
    $table_rows[] = array('data' => $this_row, 'class' => 'draggable');
  }

  // Make sure the header count matches the column count
  $header = array(
    t('Fee title'),
    t('Fee value'),
    t('Operation'),
  );

  $table_id = 'uc-cc-fee-settings-table-form';

  // This function is what brings in the javascript to make our table
  // drag-and-droppable
  drupal_add_tabledrag($table_id, 'order', 'sibling', 'uc-cc-fee-settings-table-form-weight');

  // Theme fees table
  $form['fees'] = array(
    '#type' => 'markup',
    '#value' => theme('table', $header, $table_rows, array('id' => $table_id)),
    '#weight' => '1',
  );

  //Render the form
  return drupal_render($form);
}
